Bug 1582122 - IOERROR pause code lost after resuming a VM while I/O error is still present [rhel-7.5.z]
Summary: IOERROR pause code lost after resuming a VM while I/O error is still present ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Markus Armbruster
QA Contact: CongLi
URL:
Whiteboard:
Depends On: 1566153
Blocks: 1526025
TreeView+ depends on / blocked
 
Reported: 2018-05-24 09:37 UTC by Oneata Mircea Teodor
Modified: 2018-08-29 07:18 UTC (History)
25 users (show)

Fixed In Version: qemu-kvm-rhev-2.10.0-21.el7_5.4
Doc Type: Bug Fix
Doc Text:
Under certain circumstances, resuming a paused guest generated redundant "VIR_DOMAIN_PAUSED_UNKNOWN" error messages in the libvirt log. This update corrects the event sending order when resuming guests, which prevents the errors being logged.
Clone Of: 1566153
Environment:
Last Closed: 2018-06-27 08:24:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2060 None None None 2018-06-27 08:26:13 UTC

Description Oneata Mircea Teodor 2018-05-24 09:37:37 UTC
This bug has been copied from bug #1566153 and has been proposed to be backported to 7.5 z-stream (EUS).

Comment 2 Miroslav Rezanina 2018-06-11 14:10:09 UTC
Fix included in qemu-kvm-rhev-2.10.0-21.el7_5.4

Comment 4 CongLi 2018-06-12 07:59:54 UTC
Verified this bug on qemu-kvm-rhev-2.10.0-21.el7_5.4.x86_64:

1. Create a scratch image
   $ dd if=/dev/zero of=scratch.img bs=1M count=100

2. Prepare blkdebug configuration:

   $ cat >blkdebug.conf <<EOF
   [inject-error]
   event = "write_aio"
   errno = "5"
   EOF

3. Run a guest with an additional scratch disk
    -drive id=drive_image2,if=none,werror=stop,file=blkdebug:/root/blkdebug.conf:scratch.img,format=raw \
    -device scsi-hd,id=image2,drive=drive_image2 \

4. Connect to the QMP socket

5. Boot the guest.

6. In the guest, write to the scratch disk
   # dd if=/dev/zero of=/dev/sdb count=1

7. Issue QMP command 'cont':
   QMP> { "execute": "cont" }


After step 6:
{"timestamp": {"seconds": 1528789960, "microseconds": 913452}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive_image2", "nospace": false, "__com.redhat_reason": "eio", "node-name": "#block437", "reason": "Input/output error", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1528789960, "microseconds": 916870}, "event": "STOP"}

After step 7:
{"timestamp": {"seconds": 1528790040, "microseconds": 507430}, "event": "RESUME"}
{"timestamp": {"seconds": 1528790040, "microseconds": 508316}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive_image2", "nospace": false, "__com.redhat_reason": "eio", "node-name": "#block437", "reason": "Input/output error", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1528790040, "microseconds": 509598}, "event": "STOP"}

The event ordering 'RESUME' -> 'BLOCK_IO_ERROR' -> 'STOP' is triggered as expected.

Thanks.

Comment 6 errata-xmlrpc 2018-06-27 08:24:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2060

Comment 7 Jiri Denemark 2018-08-13 11:17:24 UTC
*** Bug 1612943 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.